{
  mkDeno = { version, zipHash, nixpkgs }: 
    let url = "https://github.com/denoland/deno/releases/download/v${version}/deno-x86_64-unknown-linux-gnu.zip";
    in nixpkgs.stdenv.mkDerivation {
      inherit version;
      pname = "deno";
      
      src = nixpkgs.fetchzip { inherit url; hash = zipHash; };
      nativeBuildInputs = with nixpkgs; [ autoPatchelfHook libgcc ];
      
      installPhase = ''
        runHook preInstall
        
        mkdir -p $out/bin
        cp $src/deno $out/bin/deno
        
        runHook postInstall
      '';
    };
}
